const Path = require('path');
const execute = require('../Core/Functions').execute;
const Environment = require('../Core/Environment');
const Process = require('child_process');

module.exports = class Sync {
   constructor() {
      this.env = new Environment();
      this.exe = Path.join(this.env.binPath, 'mc-sync');
   }

   compareFrom(repoPath, left, right) {
      if (right == '') {
         right = left;
      }
      const result = Process.execSync(`${this.exe} compare --is-reversed=false ${repoPath} ${left} ${right}`);
      const json = JSON.parse(result);
      this.openComparison(json);
   }

   compareTo(repoPath, left, right) {
      if (right == '') {
         right = left;
      }
      const result = Process.execSync(`${this.exe} compare --is-reversed=true ${repoPath} ${left} ${right}`);
      const json = JSON.parse(result);
      this.openComparison(json);
   }

   openComparison(values) {
      for (const value of values) {
         const source = value['source'];
         const destination = value['destination'];
         console.log(`- Comparing "${source}" => "${destination}"`);
         const cmd = `open -n --wait-apps -b com.sourcegear.DiffMerge --args "${source}" "${destination}"`;
         execute(cmd);
      }
   }
};
