const Linter = require('./Linter');
const SwiftTool = require('./SwiftTool');
const execute = require('./Functions').execute;

module.exports = class AbstractProject extends SwiftTool {
   constructor(projectDirPath) {
      super();
      this.projectDirPath = projectDirPath;
   }

   build() {
      console.log('Base class does nothing.');
   }

   clean() {
      console.log('Base class does nothing.');
   }

   rebuild() {
      this.clean();
      this.build();
   }

   generate() {
      console.log('Base class does nothing.');
   }

   regenerate() {
      console.log('Base class does nothing.');
   }

   ci() {
      console.log('Base class does nothing.');
   }

   update() {
      process.exit(execute(`${this.env.binPath}/mc-gf ${this.projectDirPath} pull`));
   }

   assets() {
      process.exit(execute(`${this.env.binPath}/mc-proj ${this.projectDirPath} assets`));
   }

   autocorrect() {
      return new Linter(this.projectDirPath).autocorrect();
   }
};
