const Process = require('child_process');

module.exports.execute = function execute(command) {
   // See other colors: https://github.com/mochajs/mocha/blob/9e95d36e4b715380cef573014dec852bded3f8e1/lib/reporters/base.js#L48
   console.log('\u001b[' + 32 + 'm' + command + '\u001b[0m');
   try {
      // See also: https://stackoverflow.com/a/43077917/1418981
      Process.execSync(command, { stdio: 'inherit' });
      return 0;
   } catch (error) {
      return 1;
   }
};

module.exports.puts = function puts(message) {
   console.log(message);
};

module.exports.notify = function notify(message) {
   message = message.replace(/"/g, '\\"');
   let script = `display notification "${message}" with title "Automation"`;
   Process.execSync(`osascript -e '${script}'`, { stdio: 'inherit' });
};

module.exports.pbcopy = function pbcopy(message) {
   var proc = Process.spawn('pbcopy');
   proc.stdin.write(message);
   proc.stdin.end();
};
