// See: https://developer.atlassian.com/bitbucket/api/2/reference/resource/repositories/%7Busername%7D/%7Brepo_slug%7D/pullrequests#post
class PullRequest {
   constructor() {
      this.fetch = require('isomorphic-unfetch');
      this.user = 'piavita';
      this.repo = 'com.piavita-vet.ios';
      this.baseURL = `https://api.bitbucket.org/2.0/repositories/${this.user}/${this.repo}`;
      this.headers = { Authorization: 'Basic dl9nb3Jsb3Y6cXlNTlZEa1p5YWVwTG5rRldnclk=', 'Accept-Encoding': 'identity' };
   }
   async create() {
      return await this.fetch(`${this.baseURL}/pullrequests`, {
         method: 'GET',
         headers: this.headers,
      })
         .then(response => {
            return response.json();
         })
         .then(json => {
            console.log(json);
            return {
               id: 1,
               title: 'XYZ',
            };
         });
   }
   async getAll() {
      return await this.fetch(`${this.baseURL}/pullrequests`, {
         method: 'GET',
         headers: this.headers,
      })
         .then(response => {
            return response.json();
         })
         .then(json => {
            let values = json.values;
            let ids = values.map(item => {
               console.log(item);
               return { id: item.id, title: item.title };
            });
            return ids;
         });
   }
}

module.exports = {
   PullRequest: PullRequest,
};
