const XcodeApp = require('./XcodeApp');
const Path = require('path');
const puts = require('../Core/Functions').puts;
const Environment = require('../Core/Environment');
const fs = require('fs');

module.exports = class Alfred {
   constructor() {
      this.glob = require('glob');
      this.env = new Environment();
      this.snippetsDir = this.env.assetsDirPath + '/Snippets';
   }
   template() {
      const className = this.getClassName();
      let options = {
         cwd: this.snippetsDir,
      };
      const files = this.glob.sync('*.swift', options).sort();
      const results = files.map(item => {
         const basename = Path.basename(item, Path.extname(item));
         let contents = fs.readFileSync(Path.join(this.snippetsDir, item)).toString();
         return {
            uid: basename.replace(/\s+/g, '-'),
            match: basename.toLowerCase(),
            title: basename,
            arg: contents.replace('<#class#>', className),
         };
      });
      const json = { items: results };
      const result = JSON.stringify(json);
      puts(result);
      return result;
   }

   getClassName() {
      const path = new XcodeApp().getCurrentTabInfo().path;
      return Path.basename(path, Path.extname(path));
   }
};
