g.archive() { js.run "new $.GitArchive('`pwd`').archive('$1', '`pwd`/archive.zip')" ;}

g.c.scripts() {
   g.add.all
   git commit -m "Updating automation scripts."
   git status -s
}
g.c.bump() {
   git commit -m "Build version increment."
   git status -s
}
g.c.structureUpdate() {
   git commit -m "Project structure update."
   git status -s
}
g.c.testability() {
   git commit -m "Testability support."
   git status -s
}
g.c.linting() {
   git commit -m "Code rearrangement, renaming, linting."
   git status -s
}
g.c.tests() {
   git commit -m "Added/Updated unit test(s)."
   git status -s
}
g.c.changelog() {
   git commit -m "Changelog update."
   git status -s
}
g.c.wip() {
   git commit -m "@wip."
   git status -s
}
g.c.autocorrect() {
   git commit -m "Autocorrection."
   git status -s
}

g.co.file() { git checkout $1 -- $2 ;}

g.tag.pruneOldLocalTags() {
  git tag -l | xargs git tag -d
  git fetch --tags
}
g.tag.recreateLastTag() {
   lastTag=`git tag -l | tail -n 1`
   echo " → Deleting last tag: $lastTag"
   git tag -d $lastTag
   git push origin :refs/tags/$lastTag
   echo " → Creating tag: $lastTag"
   git tag $lastTag
   git push origin refs/tags/$lastTag
   echo " → Done!"
}

g.status() { git status -s -b ;}
g.add.all() {
   git add .
   git status -s
}
g.push.toAllRemotes() {
   git remote | xargs -L1 git push --all && git push --tags
}
alias g.push="mc-git push"

g.pull.current() { git pull ;}
alias g.log="mc-git logCurrent"
g.log.all() { git log --oneline --graph --all --decorate ;}

g.merge.abort() { git merge --abort ;}
g.merge.develop() { mc-git merge `pwd` develop ;}

g.fetch() { git fetch --prune ;}
g.fork.update() {
   # Syncing a fork - User Documentation: https://help.github.com/articles/syncing-a-fork/
   git fetch upstream
   git checkout master
   git merge upstream/master
}
g.d.default() { git diff ;}
g.d.image() { mc-git diffImage $@ ;}

g.stash() { git stash save --include-untracked  ;}

# ===== Git Flow

gf.f.list() { mc-gf `pwd` listFeatures ;}

gf.f.checkout() { mc-gf `pwd` checkoutFeature ;}
gf.f.start() { mc-gf `pwd` startFeature ;}
gf.f.continue() { mc-gf `pwd` continueFeature ;}

gf.r.list() { mc-gf `pwd` listReleases ;}
gf.r.checkout() { mc-gf `pwd` checkoutRelease ;}
gf.r.start() { mc-gf `pwd` startRelease ;}
gf.r.continue() { mc-gf `pwd` continueRelease ;}

