p.run() {
   if [ -f "`pwd`/Automation.rb" ]; then
      ruby -r "`pwd`/Automation.rb" -e "Automation.new().perform()" $@
   else
      action=$1
      filePath="`pwd`/Project.js"
      if [ -f $filePath ]; then
         contents=`cat $filePath`
         if [ ! -z "$AWL_SCRIPTS" ]; then
            modulePath=${AWL_SCRIPTS}
            contents=$(echo "$contents" | sed "s|wl-scripting|$modulePath|g")
         fi
         contents="${contents}; new Project(\"`pwd`\").${action}()"
         node -e "$contents"
      else
         js.run "new $.AbstractProject(\"`pwd`\").${action}()"
      fi
   fi
}

p.build() { p.run 'build';}
p.clean() { p.run 'clean' ;}
p.rebuild() { p.run "rebuild"; }
p.test() { p.run "test"; }

p.ci() { p.run 'ci' ;}
p.assets() { p.run 'assets' ;}
p.update() { p.run 'update' ;}
p.setup() { p.run "setup"; }

p.generate() { p.run "generate";}
p.regenerate() { p.run "regenerate";}

p.start() { p.run "start"; }
p.stop() { p.run "stop"; }

p.verify() { p.run "verify"; }
p.autocorrect() { p.run "autocorrect"; }

p.release() { p.run "release"; }
p.archive() { p.run "archive"; }
p.deploy() { p.run "deploy"; }
