alias netbeans='open -b "org.netbeans.ide.baseide.8.2"'

alias diff.ij='open -b com.jetbrains.intellij.ce --args diff $1 $2'
alias diff.ac='open -b com.jetbrains.AppCode --args diff $1 $2'
alias diff.dm='open -b "com.sourcegear.DiffMerge" --args --nosplash $@'
alias dir='ls -1'

alias ll='ls -lAGh'
alias fl='fastlane'


fsu.diskio() { sudo fs_usage -f diskio $@ ;}

# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

log.stream.timeMachine() { log stream --style syslog --predicate 'senderImagePath contains[cd] "TimeMachine"' --info ;}
log.show.timeMachine() { log show --style syslog --last 1d --predicate 'senderImagePath contains[cd] "TimeMachine"' --info ;}

# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

sys.makeHFSImageFromFolderWithName() { hdiutil -verbose create -fs HFS+ -srcfolder "$1" -volname "$2" "$2.dmg" ;}
sys.makeUDFImageFromFolderWithName() { hdiutil -verbose create -fs UDF -srcfolder "$1" -volname "$2" "$2.dmg" ;}


# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# See also:
# Take control of startup and login items | Macworld: http://bit.ly/2N9zNf7
# Unwanted startup items (OS Sierra) - Apple Community: https://apple.co/2NcyqMB
# How to remove startup programs in macOS Sierra and earlier OS X?: http://bit.ly/2Nd8r7B
lctl.list() { launchctl list ;}
lctl.unload() { launchctl unload $@ ;}

# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# [ osx - Got any tips or tricks for Terminal in Mac OS X? - Ask Different ]( http://apple.stackexchange.com/questions/5435/got-any-tips-or-tricks-for-terminal-in-mac-os-x )
man.preview() { man -t "${1}" | open -f -a /Applications/Preview.app ;}
man.tm() { MANWIDTH=160 MANPAGER='col -bx' man $@ | mate ;}

ps.all() { ps -afx ;}

sys.fixPermissions() { sudo chmod -R u+rwX,go+rX,go-w $1 ;}
sys.cleanup() { js.run "new $.System().deleteCaches()" ;}

sys.use.firefox() { js.run "new $.System().setBrowserFirefox()" ;}
sys.use.safari() { js.run "new $.System().setBrowserSafari()" ;}
