# ==== Gem
gem.install() { gem install --no-document --user-install $@ ;}
gem.update() { gem update --no-document --user-install $@ ;}
gem.outdated() { gem outdated ;}
gem.bootstrap() { gem install --no-document --user-install ffi rubocop ;}

# ==== Brew
brew.cleanup() { brew cleanup -s ;}

# ==== SwiftGen
sg.t.list() { swiftgen templates list $@ ;}
sg.t.cat.ib() { swiftgen templates cat ib $@ ;}

# ==== ROME && CARTHAGE
ct.download.iOS() { rome download --platform ios ;}
ct.upload.iOS() { rome upload --platform ios ;}
ct.update.iOS() {
   carthage update --no-build --no-use-binaries
   carthage build --platform iOS # --verbose
}
ct.update.macOS() {
   carthage update --no-build --no-use-binaries
   carthage build --platform macOS # --verbose
}

npm.list.g() { npm list --depth=0 -g $@; }
npm.list.l() { npm list --depth=0 $@; }
npm.install.g() { npm install -g $@; }
npm.install.l() { npm install $@; }

npm.outdated.g() { npm outdated -g $@; }
npm.outdated.l() { npm outdated $@; }

npm.update.g() { npm update -g $@; }
npm.update.l() { npm update $@; }

npm.uninstall.g() { npm uninstall -g $@; }

vg.up() { vagrant up $@; }
vg.halt() { vagrant halt $@; }
vg.ssh() { vagrant ssh $@; }
vg.reload() { vagrant reload $@; }
vg.reload.provision() { vagrant reload --provision $@ ;}
vg.status() { vagrant status $@; }
vg.destroy() { vagrant destroy $@; }

vg.box.list() { vagrant box list $@; }
vg.box.remove() { vagrant box remove $@; }

vg.snapshot.list() { vagrant snapshot list $@; }


d.ps() { docker ps $@ ;}
d.build() { docker build $@ ;}
d.info() { docker info $@ ;}
d.run() { docker run $@ ;}

d.image.ls() { docker image ls $@ ;}
d.image.rm() { docker image rm $@ ;}
d.rmi.dangling() { docker rmi $(docker images -f "dangling=true" -q) ;}

d.container.ls.all() { docker container ls --all $@ ;}
d.container.ls() { docker container ls $@ ;}
d.container.stop() { docker container stop $@ ;}
d.container.prune() { docker container prune $@ ;}

d.service.ls() { docker service ls $@ ;}

dc.logs() { docker-compose logs $@ ;}
dc.images() { docker-compose images $@ ;}
dc.ps() { docker-compose ps $@ ;}
dc.up() { docker-compose up $@ ;}
dc.top() { docker-compose top $@ ;}
dc.down() { docker-compose down $@ ;}
dc.build() { docker-compose build $@ ;}

dm.list() { docker-machine ls $@ ;}
dm.rm() { docker-machine rm $@ ;}
